Bug 52266 - Code:Inconsistent synchronization
Code:Inconsistent synchronization
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
All All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-11-30 21:40 UTC by Philippe Mouawad
Modified: 2013-09-10 22:15 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2011-11-30 21:40:17 UTC
We need to check these:
Inconsistent synchronization of org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerDownloadImages; locked 50% of time
Inconsistent synchronization of org.apache.jmeter.functions.StringFromFile.myBread; locked 70% of time
Inconsistent synchronization of org.apache.jmeter.functions.StringFromFile.fileName; locked 87% of time
Inconsistent synchronization of org.apache.jmeter.protocol.http.proxy.ProxyControl.useKeepAlive; locked 50% of time
Inconsistent synchronization of org.apache.jmeter.visualizers.ViewResultsFullVisualizer.jTree; locked 90% of time
Inconsistent synchronization of org.apache.jmeter.services.FileServer.base; locked 83% of time
Inconsistent synchronization of org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerFollowRedirects; locked 50% of time
Inconsistent synchronization of org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerRedirectAutomatically; locked 50% of time
Inconsistent synchronization of org.apache.jmeter.protocol.jdbc.config.DataSourceElement.excaliburSource; locked 83% of time => Issue confirmed
Comment 1 Philippe Mouawad 2011-12-04 11:47:03 UTC
Date: Sun Dec  4 11:46:18 2011
New Revision: 1210091

URL: http://svn.apache.org/viewvc?rev=1210091&view=rev
Log:
Bug 52266 - Code:Inconsistent synchronization

Modified:
   jmeter/trunk/src/functions/org/apache/jmeter/functions/StringFromFile.java

(In reply to comment #0)
> We need to check these:
> Inconsistent synchronization of
> org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerDownloadImages;
> locked 50% of time
> Inconsistent synchronization of
> org.apache.jmeter.functions.StringFromFile.myBread; locked 70% of time
FIXED
> Inconsistent synchronization of
> org.apache.jmeter.functions.StringFromFile.fileName; locked 87% of time
FIXED
> Inconsistent synchronization of
> org.apache.jmeter.protocol.http.proxy.ProxyControl.useKeepAlive; locked 50% of
> time
> Inconsistent synchronization of
> org.apache.jmeter.visualizers.ViewResultsFullVisualizer.jTree; locked 90% of
> time
> Inconsistent synchronization of org.apache.jmeter.services.FileServer.base;
> locked 83% of time
> Inconsistent synchronization of
> org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerFollowRedirects;
> locked 50% of time
> Inconsistent synchronization of
> org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerRedirectAutomatically;
> locked 50% of time
> Inconsistent synchronization of
> org.apache.jmeter.protocol.jdbc.config.DataSourceElement.excaliburSource;
> locked 83% of time => Issue confirmed
Comment 2 Philippe Mouawad 2011-12-04 11:53:46 UTC
Date: Sun Dec  4 11:52:25 2011
New Revision: 1210093

URL: http://svn.apache.org/viewvc?rev=1210093&view=rev
Log:
Bug 52266 - Code:Inconsistent synchronization

Modified:
   jmeter/trunk/src/core/org/apache/jmeter/services/FileServer.java
(In reply to comment #1)
> Date: Sun Dec  4 11:46:18 2011
> New Revision: 1210091
> 
> URL: http://svn.apache.org/viewvc?rev=1210091&view=rev
> Log:
> Bug 52266 - Code:Inconsistent synchronization
> 
> Modified:
>    jmeter/trunk/src/functions/org/apache/jmeter/functions/StringFromFile.java
> 
> (In reply to comment #0)
> > We need to check these:
> > Inconsistent synchronization of
> > org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerDownloadImages;
> > locked 50% of time
> > Inconsistent synchronization of
> > org.apache.jmeter.functions.StringFromFile.myBread; locked 70% of time
> FIXED
> > Inconsistent synchronization of
> > org.apache.jmeter.functions.StringFromFile.fileName; locked 87% of time
> FIXED
> > Inconsistent synchronization of
> > org.apache.jmeter.protocol.http.proxy.ProxyControl.useKeepAlive; locked 50% of
> > time
> > Inconsistent synchronization of
> > org.apache.jmeter.visualizers.ViewResultsFullVisualizer.jTree; locked 90% of
> > time
> > Inconsistent synchronization of org.apache.jmeter.services.FileServer.base;
> > locked 83% of time
FIXED
> > Inconsistent synchronization of
> > org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerFollowRedirects;
> > locked 50% of time
> > Inconsistent synchronization of
> > org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerRedirectAutomatically;
> > locked 50% of time
> > Inconsistent synchronization of
> > org.apache.jmeter.protocol.jdbc.config.DataSourceElement.excaliburSource;
> > locked 83% of time => Issue confirmed
Comment 3 Sebb 2011-12-05 00:13:42 UTC
URL: http://svn.apache.org/viewvc?rev=1210289&view=rev
Log:
Bug 52266 - Code:Inconsistent synchronization
Ensure safe publication of variables

Modified:
   jmeter/trunk/src/functions/org/apache/jmeter/functions/StringFromFile.java
Comment 4 Philippe Mouawad 2012-05-07 19:34:01 UTC
Date: Mon May  7 16:58:06 2012
New Revision: 1335125

URL: http://svn.apache.org/viewvc?rev=1335125&view=rev
Log:
Bug 52266 - Code:Inconsistent synchronization
Add synchronized on openFile method will not impact performance as method is private, lock will be reentrant

Modified:
   jmeter/trunk/src/functions/org/apache/jmeter/functions/StringFromFile.java
Comment 5 Philippe Mouawad 2012-05-07 20:38:30 UTC
Date: Mon May  7 20:36:26 2012
New Revision: 1335242

URL: http://svn.apache.org/viewvc?rev=1335242&view=rev
Log:
Bug 52266 - Code:Inconsistent synchronization
Use Atomic

Modified:
   jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java
Comment 6 Philippe Mouawad 2012-05-07 21:13:33 UTC
(In reply to comment #2)
> Date: Sun Dec  4 11:52:25 2011
> New Revision: 1210093
> 
> URL: http://svn.apache.org/viewvc?rev=1210093&view=rev
> Log:
> Bug 52266 - Code:Inconsistent synchronization
> 
> Modified:
>    jmeter/trunk/src/core/org/apache/jmeter/services/FileServer.java
> (In reply to comment #1)
> > Date: Sun Dec  4 11:46:18 2011
> > New Revision: 1210091
> > 
> > URL: http://svn.apache.org/viewvc?rev=1210091&view=rev
> > Log:
> > Bug 52266 - Code:Inconsistent synchronization
> > 
> > Modified:
> >    jmeter/trunk/src/functions/org/apache/jmeter/functions/StringFromFile.java
> > 
> > (In reply to comment #0)
> > > We need to check these:
> > > Inconsistent synchronization of
> > > org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerDownloadImages;
> > > locked 50% of time
FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.functions.StringFromFile.myBread; locked 70% of time
> > FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.functions.StringFromFile.fileName; locked 87% of time
> > FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.protocol.http.proxy.ProxyControl.useKeepAlive; locked 50% of
> > > time
FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.visualizers.ViewResultsFullVisualizer.jTree; locked 90% of
> > > time
> > > Inconsistent synchronization of org.apache.jmeter.services.FileServer.base;
> > > locked 83% of time
> FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerFollowRedirects;
> > > locked 50% of time
FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.protocol.http.proxy.ProxyControl.samplerRedirectAutomatically;
> > > locked 50% of time
FIXED
> > > Inconsistent synchronization of
> > > org.apache.jmeter.protocol.jdbc.config.DataSourceElement.excaliburSource;
> > > locked 83% of time => Issue confirmed
Comment 7 Philippe Mouawad 2012-08-24 18:53:05 UTC
Date: Fri Aug 24 18:51:51 2012
New Revision: 1377045

URL: http://svn.apache.org/viewvc?rev=1377045&view=rev
Log:
Bug 52266 - Code:Inconsistent synchronization
Bugzilla Id: 52266

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java
    jmeter/trunk/src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/config/DataSourceElement.java
    jmeter/trunk/xdocs/changes.xml
Comment 8 Sebb 2013-09-10 22:15:34 UTC
URL: http://svn.apache.org/r1521665
Log:
Code:Inconsistent synchronization
AtomicBoolean and AtomicInt are not necessary when values are simply written and read and the previous value is irrelevant (e.g. AtomicInt would be needed if the value was incremented)
Bugzilla Id: 52266

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java